# python version 1.0						DO NOT EDIT
#
# Generated by smidump version 0.4.8:
#
#   smidump -f python CISCO-ENTITY-FRU-CONTROL-MIB

FILENAME = "CISCO-ENTITY-FRU-CONTROL-MIB.my"

MIB = {
    "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",

    "CISCO-ENTITY-FRU-CONTROL-MIB" : {
        "nodetype" : "module",
        "language" : "SMIv2",
        "organization" :    
            """Cisco Systems, Inc.""",
        "contact" : 
            """Postal: Cisco Systems, Inc.
170 West Tasman Drive
San Jose, CA 95134-1706
USA

Tel: +1 408 526 4000

E-mail: cs-snmp@cisco.com""",
        "description" :
            """The CISCO-ENTITY-FRU-CONTROL-MIB is used to monitor
and configure operational status of 
Field Replaceable Units (FRUs) and other managable 
physical entities of the system listed in the 
Entity-MIB (RFC 2737) entPhysicalTable. 

FRUs include assemblies such as power supplies, fans, 
processor modules, interface modules, etc.""",
        "revisions" : (
            {
                "date" : "2008-10-08 00:00",
                "description" :
                    """Added two new enumeration values
upgrading(22) and okButAuthFailed(23) to
ModuleOperType Textual Convention.""",
            },
            {
                "date" : "2007-06-21 00:00",
                "description" :
                    """* Added two new enumeration values :
psRedundant(5) and inPwrSrcRedundant(6) to 
PowerRedundancyType Textual Convention.""",
            },
            {
                "date" : "2007-03-14 00:00",
                "description" :
                    """* Added cefcTotalDrawnInlineCurrent and
cefcMIBInLinePowerCurrentGroup.
* Added cefcPowerNonRedundantReason and 
cefcMIBPowerRedundancyInfoGroup. 
* Added cefcFanCoolingCapTable and 
cefcFanCoolingCapGroup.
* Added cefcMIBPowerCompliance8.""",
            },
            {
                "date" : "2006-06-23 00:00",
                "description" :
                    """* Added new value 'onButInlinePowerFail(12)' to PowerOperType.""",
            },
            {
                "date" : "2005-09-06 00:00",
                "description" :
                    """* Added cefcPowerCapacityGroup,
cefcCoolingGroup and cefcConnectorRatingGroup.
* Added new enumerator 'powerCycle' to the TC 
PowerAdminType. 
* Added two new enumerators 'offCooling'
and 'offConnectorRating' to the TC PowerOperType.
* Added cefcMIBNotificationEnablesGroup2 
and cefcMgmtNotificationsGroup3.""",
            },
            {
                "date" : "2004-12-09 00:00",
                "description" :
                    """Removed the additional varbind 'entPhysicalDescr' added
in 'cefcFRUInserted' & 'cefcFRURemoved' notifications.""",
            },
            {
                "date" : "2004-10-19 00:00",
                "description" :
                    """* Added the enumeration 'syncInProgress' to
ModuleOperType Textual Convention.
Added an additional varbind 'entPhysicalDescr' in
'cefcFRUInserted' & 'cefcFRURemoved' notifications.""",
            },
            {
                "date" : "2003-11-24 00:00",
                "description" :
                    """* Added the enumerations okButPowerOverWarning
and okButPowerOverCritical to ModuleOperType
Textual Convention.""",
            },
            {
                "date" : "2003-10-27 00:00",
                "description" :
                    """Added poweredDown,poweredUp, powerDenied,powerCycled
to ModuleOperType.""",
            },
            {
                "date" : "2003-10-23 00:00",
                "description" :
                    """* Added cefcModuleStateChangeReasonDescr and
cefcModuleUpTime in the cefcModuleTable.
* Added cefcIntelliModuleTable to provide the
IP address information for intelligent
modules.""",
            },
            {
                "date" : "2003-07-22 00:00",
                "description" :
                    """* Modified the description for cefcPowerRedudancyMode to
indicate that this object reflects the administrative
power supply redundancy mode.
* Added cefcPowerRedundancyOperMode to reflect the 
operational status of the power supply redundancy mode.
* Deprecated cefcMaxDefaultInLinePower and added
cefcMaxDefaultHighInLinePower to replace it.
* Modified the DESCRIPTION for cefcFanTrayStatusTable
and cefcFanTrayStatusEntry to reflect the right 
situation.""",
            },
            {
                "date" : "2002-10-16 00:00",
                "description" :
                    """Added:
* Added cefcFanTrayStatusChange notification
* Added cefcFanTrayStatusChange to 
  cefcMgmtNotificationsGroup2""",
            },
            {
                "date" : "2002-10-03 00:00",
                "description" :
                    """Added:
* cefcFanTrayStatus table containing fan tray status 
  information.
* added cefcPhysical table containing status information
  of the physical entity.
* added cefcUnrecognizedFRU notification.
* added cefcMIBFanTrayStatusGroup.
* added cefcMIBPhysicalGroup.""",
            },
            {
                "date" : "2002-09-15 00:00",
                "description" :
                    """Added:
* powerSupplyValue table containing information such 
  as, total and used inline and data power, for variable 
  power supplies.

* added following object group
  cefcMIBPowerFRUValueGroup""",
            },
            {
                "date" : "2002-07-12 00:00",
                "description" :
                    """Added:
cefcModuleLastClearConfigTime  
cefcModuleResetReasonDescription
cefcModuleGroupRev1
Modified:
Added enumerations watchDogTimeoutReset,
resourceOverflowReset, missingTaskReset,
lowVoltageReset, controllerReset, systemReset,
switchoverReset, upgradeReset, downgradeReset,
cacheErrorReset, deviceDriverReset, 
softwareExceptionReset, restoreConfigReset,
abortRevReset, burnBootReset,
standbyCdHealthierReset, nonNativeConfigClearReset,
and memoryProtectionErrorReset to 
ModuleResetReasonType TC.""",
            },
            {
                "date" : "2001-05-22 00:00",
                "description" :
                    """Modified the description for cefcTotalAvailableCurrent.
Changed 'cefcPowerRedundancy' in the description to
'cefcPowerRedundancyMode'
Also made the file conform to the 72 char line limit.
Imported NOTIFICATION-GROUP
Added cefcMgmtNotificationsGroup.""",
            },
            {
                "date" : "2000-01-13 00:00",
                "description" :
                    """Following changes are made in this revision

* added following enumerations to ModuleOperType TC:
  dormant, outOfServiceAdmin, outOfServiceEnvTemp

* added outOfServiceAdmin to ModuleAdminType TC

* added following notifications:
  cefcMIBNotificationEnables
  cefcMIBEnableStatusNotification
  cefcPowerStatusChange
  cefcFRUInserted
  cefcFRURemoved

* added following object groups:
  cefcMIBInLinePowerControlGroup
  cefcMIBNotificationEnablesGroup""",
            },
            {
                "date" : "1999-04-05 00:00",
                "description" :
                    """Added module table containing the status information.""",
            },
        ),
        "identity node" : "ciscoEntityFRUControlMIB",
    },

    "imports" : (
        {"module" : "SNMPv2-SMI", "name" : "MODULE-IDENTITY"},
        {"module" : "SNMPv2-SMI", "name" : "OBJECT-TYPE"},
        {"module" : "SNMPv2-SMI", "name" : "NOTIFICATION-TYPE"},
        {"module" : "SNMPv2-SMI", "name" : "Unsigned32"},
        {"module" : "SNMPv2-SMI", "name" : "Integer32"},
        {"module" : "SNMPv2-CONF", "name" : "MODULE-COMPLIANCE"},
        {"module" : "SNMPv2-CONF", "name" : "OBJECT-GROUP"},
        {"module" : "SNMPv2-CONF", "name" : "NOTIFICATION-GROUP"},
        {"module" : "SNMPv2-TC", "name" : "TEXTUAL-CONVENTION"},
        {"module" : "SNMPv2-TC", "name" : "DisplayString"},
        {"module" : "SNMPv2-TC", "name" : "TimeStamp"},
        {"module" : "SNMPv2-TC", "name" : "TruthValue"},
        {"module" : "ENTITY-MIB", "name" : "entPhysicalIndex"},
        {"module" : "ENTITY-MIB", "name" : "entPhysicalContainedIn"},
        {"module" : "ENTITY-MIB", "name" : "entPhysicalModelName"},
        {"module" : "ENTITY-MIB", "name" : "entPhysicalClass"},
        {"module" : "ENTITY-MIB", "name" : "entPhysicalVendorType"},
        {"module" : "ENTITY-MIB", "name" : "entPhysicalName"},
        {"module" : "INET-ADDRESS-MIB", "name" : "InetAddressType"},
        {"module" : "INET-ADDRESS-MIB", "name" : "InetAddress"},
        {"module" : "SNMP-FRAMEWORK-MIB", "name" : "SnmpAdminString"},
        {"module" : "CISCO-SMI", "name" : "ciscoMgmt"},
    ),

    "typedefs" : {
        "PowerRedundancyType" : {
            "basetype" : "Enumeration",
            "status" : "current",
            "notsupported" : {
                "nodetype" : "namednumber",
                "number" : "1"
            },
            "redundant" : {
                "nodetype" : "namednumber",
                "number" : "2"
            },
            "combined" : {
                "nodetype" : "namednumber",
                "number" : "3"
            },
            "nonRedundant" : {
                "nodetype" : "namednumber",
                "number" : "4"
            },
            "psRedundant" : {
                "nodetype" : "namednumber",
                "number" : "5"
            },
            "inPwrSrcRedundant" : {
                "nodetype" : "namednumber",
                "number" : "6"
            },
            "description" :
                """power supply redundancy modes.  valid values are:

notsupported(1): Read-only operational state, indicates
    that the requested administrative state (redundant(2)
    , combined(3), psRedundant(5) or inPwrSrcRedundant(6))
    is not supported by the system.

redundant(2): A single power supply output can power
    the entire system, although there are more than
    one matched supply in the system.

    In the systems which support multiple level of
    redundancy, such as input power redundancy, this
    state indicates that redundancy is enabled on
    all levels.

combined(3): The combined output of the power supplies
    are available to operate the system when there are
    more than one matched power supply in the system.

    In the platforms which support multiple level of
    redundancy, such as input redundancy, this state
    indicates that no redundancy on all levels.

nonRedundant(4): Read-only operational state, indicates
    that there is only one power supply or there are
    unmatched power supplies in the system.

psRedundant(5): Only the power output redundancy
    is enabled in the systems which support multiple
    levels of redundancy.  All other types of redundancy,
    such as input power redundancy, are disabled.

    This value is only supported by the systems which
    support multiple levels of redundancy.

inPwrSrcRedundant(6): Only the input power redundancy
    is enabled in the systems which support multiple
    levels of redundancy.  All other types of redundancy,
    such as output power redundancy, are disabled.

    This value is only supported by the systems which
    support input power redundancy.""",
        },
        "PowerAdminType" : {
            "basetype" : "Enumeration",
            "status" : "current",
            "on" : {
                "nodetype" : "namednumber",
                "number" : "1"
            },
            "off" : {
                "nodetype" : "namednumber",
                "number" : "2"
            },
            "inlineAuto" : {
                "nodetype" : "namednumber",
                "number" : "3"
            },
            "inlineOn" : {
                "nodetype" : "namednumber",
                "number" : "4"
            },
            "powerCycle" : {
                "nodetype" : "namednumber",
                "number" : "5"
            },
            "description" :
                """Administratively desired FRU power state types.  valid values
are:
on(1):  Turn FRU on.
off(2): Turn FRU off.

The inline power means that the FRU itself won't cost any power,
but the external device connecting to the FRU will drain the
power from FRU.  For example, the IP phone device.  The FRU is a
port of a switch with voice ability and IP phone will cost power
from the port once it connects to the port.

inlineAuto(3): Turn FRU inline power to auto mode. It means that
the FRU will try to detect whether the connecting device needs
power or not.  If it needs power, the FRU will supply power.  If
it doesn't, the FRU will treat the device as a regular network
device.

inlineOn(4): Turn FRU inline power to on mode.  It means that
once the device connects to the FRU, the FRU will always supply
power to the device no matter the device needs the power or not.

powerCycle(5): Power cycle the FRU.  This value may be specified
in a management protocol set operation, it will not be returned 
in response to a management protocol retrieval operation.""",
        },
        "PowerOperType" : {
            "basetype" : "Enumeration",
            "status" : "current",
            "offEnvOther" : {
                "nodetype" : "namednumber",
                "number" : "1"
            },
            "on" : {
                "nodetype" : "namednumber",
                "number" : "2"
            },
            "offAdmin" : {
                "nodetype" : "namednumber",
                "number" : "3"
            },
            "offDenied" : {
                "nodetype" : "namednumber",
                "number" : "4"
            },
            "offEnvPower" : {
                "nodetype" : "namednumber",
                "number" : "5"
            },
            "offEnvTemp" : {
                "nodetype" : "namednumber",
                "number" : "6"
            },
            "offEnvFan" : {
                "nodetype" : "namednumber",
                "number" : "7"
            },
            "failed" : {
                "nodetype" : "namednumber",
                "number" : "8"
            },
            "onButFanFail" : {
                "nodetype" : "namednumber",
                "number" : "9"
            },
            "offCooling" : {
                "nodetype" : "namednumber",
                "number" : "10"
            },
            "offConnectorRating" : {
                "nodetype" : "namednumber",
                "number" : "11"
            },
            "onButInlinePowerFail" : {
                "nodetype" : "namednumber",
                "number" : "12"
            },
            "description" :
                """Operational FRU Status types.  valid values are:

offEnvOther(1)   FRU is powered off because of a problem not
                 listed below.

on(2):           FRU is powered on.

offAdmin(3):     Administratively off.

offDenied(4):    FRU is powered off because available
                 system power is insufficient.

offEnvPower(5):  FRU is powered off because of power problem in
                 the FRU.  for example, the FRU's power
                 translation (DC-DC converter) or distribution
                 failed.

offEnvTemp(6):   FRU is powered off because of temperature
                 problem.

offEnvFan(7):    FRU is powered off because of fan problems.

failed(8):       FRU is in failed state. 

onButFanFail(9): FRU is on, but fan has failed.

offCooling(10):  FRU is powered off because of the system's 
                 insufficient cooling capacity.

offConnectorRating(11): FRU is powered off because of the 
                        system's connector rating exceeded.

onButInlinePowerFail(12): The FRU on, but no inline power
                          is being delivered as the
                          data/inline power component of the
                          FRU has failed.""",
        },
        "FRUCurrentType" : {
            "basetype" : "Integer32",
            "status" : "current",
            "ranges" : [
            {
                "min" : "-1000000000",
                "max" : "1000000000"
            },
            ],
            "range" : {
                "min" : "-1000000000",
                "max" : "1000000000"
            },
            "description" :
                """a current measurement, on the system power supply
primary output, expressed in cefcPowerUnits.  Range is 
from negative 1 million to positive one million
amperes.  

A negative value expresses current used by the FRU.
A positive value expresses current supplied by the FRU.""",
        },
        "ModuleAdminType" : {
            "basetype" : "Enumeration",
            "status" : "current",
            "enabled" : {
                "nodetype" : "namednumber",
                "number" : "1"
            },
            "disabled" : {
                "nodetype" : "namednumber",
                "number" : "2"
            },
            "reset" : {
                "nodetype" : "namednumber",
                "number" : "3"
            },
            "outOfServiceAdmin" : {
                "nodetype" : "namednumber",
                "number" : "4"
            },
            "description" :
                """Administratively desired module states.  Valid values are:

enabled(1)     module is operational.
disabled(2)    module is not operational.
reset(3)       module is reset. This value may be specified
               in a management protocol set operation, it will
               not be returned in response to a management 
               protocol retrieval operation. 
outOfServiceAdmin(4)   module is powered on but out of 
                       service, set by CLI.""",
        },
        "ModuleOperType" : {
            "basetype" : "Enumeration",
            "status" : "current",
            "unknown" : {
                "nodetype" : "namednumber",
                "number" : "1"
            },
            "ok" : {
                "nodetype" : "namednumber",
                "number" : "2"
            },
            "disabled" : {
                "nodetype" : "namednumber",
                "number" : "3"
            },
            "okButDiagFailed" : {
                "nodetype" : "namednumber",
                "number" : "4"
            },
            "boot" : {
                "nodetype" : "namednumber",
                "number" : "5"
            },
            "selfTest" : {
                "nodetype" : "namednumber",
                "number" : "6"
            },
            "failed" : {
                "nodetype" : "namednumber",
                "number" : "7"
            },
            "missing" : {
                "nodetype" : "namednumber",
                "number" : "8"
            },
            "mismatchWithParent" : {
                "nodetype" : "namednumber",
                "number" : "9"
            },
            "mismatchConfig" : {
                "nodetype" : "namednumber",
                "number" : "10"
            },
            "diagFailed" : {
                "nodetype" : "namednumber",
                "number" : "11"
            },
            "dormant" : {
                "nodetype" : "namednumber",
                "number" : "12"
            },
            "outOfServiceAdmin" : {
                "nodetype" : "namednumber",
                "number" : "13"
            },
            "outOfServiceEnvTemp" : {
                "nodetype" : "namednumber",
                "number" : "14"
            },
            "poweredDown" : {
                "nodetype" : "namednumber",
                "number" : "15"
            },
            "poweredUp" : {
                "nodetype" : "namednumber",
                "number" : "16"
            },
            "powerDenied" : {
                "nodetype" : "namednumber",
                "number" : "17"
            },
            "powerCycled" : {
                "nodetype" : "namednumber",
                "number" : "18"
            },
            "okButPowerOverWarning" : {
                "nodetype" : "namednumber",
                "number" : "19"
            },
            "okButPowerOverCritical" : {
                "nodetype" : "namednumber",
                "number" : "20"
            },
            "syncInProgress" : {
                "nodetype" : "namednumber",
                "number" : "21"
            },
            "upgrading" : {
                "nodetype" : "namednumber",
                "number" : "22"
            },
            "okButAuthFailed" : {
                "nodetype" : "namednumber",
                "number" : "23"
            },
            "description" :
                """Operational module states.  Valid values are :

unknown(1)           Module is not in one of other states

 normal operational states:

ok(2)                 Module is operational.

disabled(3)           Module is administratively disabled.

okButDiagFailed(4)    Module is operational but there is some
                     diagnostic information available.

 transitional states:

boot(5)               Module is currently in the process of
                     bringing up image.  After boot, it starts
                     its operational software and transitions
                     to the appropriate state.

selfTest(6)           Module is performing selfTest.


 failure states:

failed(7)              Module has failed due to some condition
                      not stated above.

missing(8)             Module has been provisioned, but it is
                      missing

mismatchWithParent(9)  Module is not compatible with parent
                      entity. Module has not been provisioned
                      and wrong type of module is plugged in.
                      This state can be cleared by plugging
                      in the appropriate module.

mismatchConfig(10)     Module is not compatible with the current
                      configuration. Module was correctly
                      provisioned earlier, however the module
                      was replaced by an incompatible module.
                      This state can be resolved by clearing
                      the configuration, or replacing with the
                      appropriate module.

diagFailed(11)         Module diagnostic test failed due to some
                      hardware failure.

dormant(12)            Module is waiting for an external or
                      internal event to become operational.

outOfServiceAdmin(13)  module is administratively set to be
                      powered on but out of service.

outOfServiceEnvTemp(14)Module is powered on but out of service,
                      due to environmental temperature problem.
                      An out-o-service module consumes less
                      power thus will cool down the board.

poweredDown(15)       Module is in powered down state.

poweredUp(16)         Module is in powered up state.

powerDenied(17)       System does not have enough power in
                      power budget to power on this module.

powerCycled(18)       Module is being power cycled.

okButPowerOverWarning(19) Module is drawing more power than 
                      allocated to this module. The module
                      is still operational but may go into
                      a failure state. This state may be
                      caused by misconfiguration of power 
                      requirements (especially for inline 
                      power). 

okButPowerOverCritical(20) Module is drawing more power
                      than this module is designed to 
                      handle. The module is still 
                      operational but may go into a 
                      failure state and could potentially
                      take the system down. This state
                      may be caused by gross misconfi-
                      guration of power requirements      
                      (especially for inline power). 

syncInProgress(21)    Synchronization in progress.
                      In a high availability system there 
                      will be 2 control modules, active and 
                      standby. 
                      This transitional state specifies the
                      synchronization of data between the
                      active and standby modules.

upgrading(22)         Module is upgrading.

okButAuthFailed(23)   Module is operational but did not pass 
                      hardware integrity verification.""",
        },
        "ModuleResetReasonType" : {
            "basetype" : "Enumeration",
            "status" : "current",
            "unknown" : {
                "nodetype" : "namednumber",
                "number" : "1"
            },
            "powerUp" : {
                "nodetype" : "namednumber",
                "number" : "2"
            },
            "parityError" : {
                "nodetype" : "namednumber",
                "number" : "3"
            },
            "clearConfigReset" : {
                "nodetype" : "namednumber",
                "number" : "4"
            },
            "manualReset" : {
                "nodetype" : "namednumber",
                "number" : "5"
            },
            "watchDogTimeoutReset" : {
                "nodetype" : "namednumber",
                "number" : "6"
            },
            "resourceOverflowReset" : {
                "nodetype" : "namednumber",
                "number" : "7"
            },
            "missingTaskReset" : {
                "nodetype" : "namednumber",
                "number" : "8"
            },
            "lowVoltageReset" : {
                "nodetype" : "namednumber",
                "number" : "9"
            },
            "controllerReset" : {
                "nodetype" : "namednumber",
                "number" : "10"
            },
            "systemReset" : {
                "nodetype" : "namednumber",
                "number" : "11"
            },
            "switchoverReset" : {
                "nodetype" : "namednumber",
                "number" : "12"
            },
            "upgradeReset" : {
                "nodetype" : "namednumber",
                "number" : "13"
            },
            "downgradeReset" : {
                "nodetype" : "namednumber",
                "number" : "14"
            },
            "cacheErrorReset" : {
                "nodetype" : "namednumber",
                "number" : "15"
            },
            "deviceDriverReset" : {
                "nodetype" : "namednumber",
                "number" : "16"
            },
            "softwareExceptionReset" : {
                "nodetype" : "namednumber",
                "number" : "17"
            },
            "restoreConfigReset" : {
                "nodetype" : "namednumber",
                "number" : "18"
            },
            "abortRevReset" : {
                "nodetype" : "namednumber",
                "number" : "19"
            },
            "burnBootReset" : {
                "nodetype" : "namednumber",
                "number" : "20"
            },
            "standbyCdHealthierReset" : {
                "nodetype" : "namednumber",
                "number" : "21"
            },
            "nonNativeConfigClearReset" : {
                "nodetype" : "namednumber",
                "number" : "22"
            },
            "memoryProtectionErrorReset" : {
                "nodetype" : "namednumber",
                "number" : "23"
            },
            "description" :
                """Describes the reason for the last module reset operation.

unknown(1)                      source of the reset is not 
                                identified

powerUp(2)                      system power up operation

parityError(3)                  parity error during system 
                                bring up operation

clearConfigReset(4)             reset due to clear 
                                configuration operation

manualReset(5)                  reset due to administrative 
                                request

watchDogTimeoutReset(6)         reset due to watchdog timeout

resourceOverflowReset(7)        reset due to resource overflow

missingTaskReset(8)             reset due to missing task

lowVoltageReset(9)              reset due to low voltage

controllerReset(10)             reset by controller

systemReset(11)                 system reset

switchoverReset(12)             reset due to user initiated 
                                graceful switchover

upgradeReset(13)                reset due to upgrade

downgradeReset(14)              reset due to downgrade

cacheErrorReset(15)             reset due to cache error

deviceDriverReset(16)           reset due to device driver 
                                error

softwareExceptionReset(17)      reset due to software 
                                exception

restoreConfigReset(18)          reset due to configuration
                                restoration

abortRevReset(19)               reset due to revision change 
                                abort

burnBootReset(20)               reset due to boot image 
                                change

standbyCdHealthierReset(21)     reset to switch to healthier 
                                standby card

nonNativeConfigClearReset(22)   reset due clearing of 
                                non-native configuration

memoryProtectionErrorReset(23)  reset due to memory protection 
                                violation.""",
        },
        "FRUTimeSeconds" : {
            "basetype" : "Unsigned32",
            "status" : "current",
            "description" :
                """This is a non-negative integer which represents
the time in second between two epochs.

Since time is not discrete, it is rounded up to
the nearest second. For example, if the elapsed
time is greater than zero and less or equal to
one second, then one second is returned, etc.

When objects are defined which use this type, the
description of the object identifies both of the
reference epochs.""",
        },
    }, # typedefs

    "nodes" : {
        "ciscoEntityFRUControlMIB" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117",
            "status" : "current",
        }, # node
        "cefcMIBObjects" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1",
        }, # node
        "cefcFRUPower" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.1",
        }, # node
        "cefcFRUPowerSupplyGroupTable" : {
            "nodetype" : "table",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.1.1",
            "status" : "current",
            "description" :
                """This table lists the redundancy mode and the
operational status of the power supply groups
in the system.""",
        }, # table
        "cefcFRUPowerSupplyGroupEntry" : {
            "nodetype" : "row",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.1.1.1",
            "status" : "current",
            "linkage" : [
                "entPhysicalIndex",
            ],
            "description" :
                """An cefcFRUPowerSupplyGroupTable entry lists the desired
redundancy mode, the units of the power outputs and the 
available and drawn current for the power supply group.

Entries are created by the agent when a power supply group
is added to the entPhysicalTable. Entries are deleted by 
the agent at power supply group removal.""",
        }, # row
        "cefcPowerRedundancyMode" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.1.1.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-ENTITY-FRU-CONTROL-MIB", "name" : "PowerRedundancyType"},
            },
            "access" : "readwrite",
            "description" :
                """The administratively desired power supply redundancy
mode.""",
        }, # column
        "cefcPowerUnits" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.1.1.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "DisplayString"},
            },
            "access" : "readonly",
            "description" :
                """The units of primary supply to interpret
cefcTotalAvailableCurrent and cefcTotalDrawnCurrent
as power.

For example, one 1000-watt power supply could 
deliver 100 amperes at 10 volts DC.  So the value
of cefcPowerUnits would be 'at 10 volts DC'.

cefcPowerUnits is for display purposes only.""",
        }, # column
        "cefcTotalAvailableCurrent" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.1.1.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-ENTITY-FRU-CONTROL-MIB", "name" : "FRUCurrentType"},
            },
            "access" : "readonly",
            "description" :
                """Total current available for FRU usage.""",
        }, # column
        "cefcTotalDrawnCurrent" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.1.1.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-ENTITY-FRU-CONTROL-MIB", "name" : "FRUCurrentType"},
            },
            "access" : "readonly",
            "description" :
                """Total current drawn by powered-on FRUs.""",
        }, # column
        "cefcPowerRedundancyOperMode" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.1.1.1.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-ENTITY-FRU-CONTROL-MIB", "name" : "PowerRedundancyType"},
            },
            "access" : "readonly",
            "description" :
                """The power supply redundancy operational mode.""",
        }, # column
        "cefcPowerNonRedundantReason" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.1.1.1.6",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "notApplicable" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "unknown" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "singleSupply" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                    "mismatchedSupplies" : {
                        "nodetype" : "namednumber",
                        "number" : "4"
                    },
                    "supplyError" : {
                        "nodetype" : "namednumber",
                        "number" : "5"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """This object has the value of notApplicable(1) when
cefcPowerRedundancyOperMode of the instance does not
have the value of nonRedundant(4).

The other values explain the reason why 
cefcPowerRedundancyOperMode is nonRedundant(4), e.g.

unknown(2)             the reason is not identified.

singleSupply(3)        There is only one power supply
                       in the group.

mismatchedSupplies(4)  There are more than one power
                       supplies in the groups. However
                       they are mismatched and can not
                       work redundantly.

supplyError(5)         Some power supply or supplies
                       does or do not working properly.""",
        }, # column
        "cefcTotalDrawnInlineCurrent" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.1.1.1.7",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-ENTITY-FRU-CONTROL-MIB", "name" : "FRUCurrentType"},
            },
            "access" : "readonly",
            "description" :
                """Total inline current drawn for inline operation.""",
        }, # column
        "cefcFRUPowerStatusTable" : {
            "nodetype" : "table",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.1.2",
            "status" : "current",
            "description" :
                """This table lists the power-related administrative status
and operational status of the manageable components
in the system.""",
        }, # table
        "cefcFRUPowerStatusEntry" : {
            "nodetype" : "row",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.1.2.1",
            "status" : "current",
            "linkage" : [
                "entPhysicalIndex",
            ],
            "description" :
                """An cefcFRUPowerStatusTable entry lists the desired
administrative status, the operational status of the 
power manageable component, and the current required by 
the component for operation.

Entries are created by the agent at system power-up or 
the insertion of the component.  Entries are deleted by
the agent at the removal of the component.

Only components with power control are listed in the 
table.""",
        }, # row
        "cefcFRUPowerAdminStatus" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.1.2.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-ENTITY-FRU-CONTROL-MIB", "name" : "PowerAdminType"},
            },
            "access" : "readwrite",
            "description" :
                """Administratively desired FRU power state.""",
        }, # column
        "cefcFRUPowerOperStatus" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.1.2.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-ENTITY-FRU-CONTROL-MIB", "name" : "PowerOperType"},
            },
            "access" : "readonly",
            "description" :
                """Operational FRU power state.""",
        }, # column
        "cefcFRUCurrent" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.1.2.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-ENTITY-FRU-CONTROL-MIB", "name" : "FRUCurrentType"},
            },
            "access" : "readonly",
            "description" :
                """Current supplied by the FRU (positive values)
or current required to operate the FRU (negative values).""",
        }, # column
        "cefcMaxDefaultInLinePower" : {
            "nodetype" : "scalar",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.1.3",
            "status" : "deprecated",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "12500"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "12500"
                    },
                },
            },
            "access" : "readwrite",
            "default" : "12500",
            "units" : "miliwatts",
            "description" :
                """The system will provide power to the device connecting
to the FRU if the device needs power, like an IP Phone.
We call the providing power inline power.

This MIB object controls the maximum default inline power
for the device connecting to the FRU in the system. If the
maximum default inline power of the device is greater than
the maximum value reportable by this object, then this
object should report its maximum reportable value (12500)
and cefcMaxDefaultHighInLinePower must be used to report
the actual maximum default inline power.""",
        }, # scalar
        "cefcFRUPowerSupplyValueTable" : {
            "nodetype" : "table",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.1.4",
            "status" : "current",
            "description" :
                """This table lists the power capacity of a power FRU in the
system if it provides variable power. Power supplies usually
provide either system or inline power. They cannot be 
controlled by software to dictate how they distribute power.
We can also have what are known as variable power supplies.
They can provide both system and inline power and can be 
varied within hardware defined ranges for system and inline
limited by a total maximum combined output. They could be
configured by the user via CLI or SNMP or be controlled by
software internally.
This table supplements the information in the
cefcFRUPowerStatusTable for power supply FRUs. The 
cefcFRUCurrent attribute in that table provides the overall
current the power supply FRU can provide while this table 
gives us the individual contribution towards system and 
inline power.""",
        }, # table
        "cefcFRUPowerSupplyValueEntry" : {
            "nodetype" : "row",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.1.4.1",
            "status" : "current",
            "linkage" : [
                "entPhysicalIndex",
            ],
            "description" :
                """An cefcFRUPowerSupplyValueTable entry lists the current
provided by the FRU for operation.

Entries are created by the agent at system power-up or 
FRU insertion.  Entries are deleted by the agent at FRU
removal.

Only power supply FRUs are listed in the table.""",
        }, # row
        "cefcFRUTotalSystemCurrent" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.1.4.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-ENTITY-FRU-CONTROL-MIB", "name" : "FRUCurrentType"},
            },
            "access" : "readwrite",
            "description" :
                """Total current that could be supplied by the FRU (positive
values) for system operations.""",
        }, # column
        "cefcFRUDrawnSystemCurrent" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.1.4.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-ENTITY-FRU-CONTROL-MIB", "name" : "FRUCurrentType"},
            },
            "access" : "readwrite",
            "description" :
                """Amount of current drawn by the FRU's in the system towards
system operations from this FRU""",
        }, # column
        "cefcFRUTotalInlineCurrent" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.1.4.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-ENTITY-FRU-CONTROL-MIB", "name" : "FRUCurrentType"},
            },
            "access" : "readwrite",
            "description" :
                """Total current supplied by the FRU (positive values) for
inline operations.""",
        }, # column
        "cefcFRUDrawnInlineCurrent" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.1.4.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-ENTITY-FRU-CONTROL-MIB", "name" : "FRUCurrentType"},
            },
            "access" : "readwrite",
            "description" :
                """Amount of current that is being drawn from this FRU for inline
operation.""",
        }, # column
        "cefcMaxDefaultHighInLinePower" : {
            "nodetype" : "scalar",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.1.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Unsigned32"},
            },
            "access" : "readwrite",
            "units" : "miliwatts",
            "description" :
                """The system will provide power to the device connecting
to the FRU if the device needs power, like an IP Phone.
We call the providing power inline power.

This MIB object controls the maximum default inline power
for the device connecting to the FRU in the system.""",
        }, # scalar
        "cefcModule" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.2",
        }, # node
        "cefcModuleTable" : {
            "nodetype" : "table",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.2.1",
            "status" : "current",
            "description" :
                """A cefcModuleTable entry lists the operational and
administrative status information for ENTITY-MIB
entPhysicalTable entries for manageable components
of type PhysicalClass module(9).""",
        }, # table
        "cefcModuleEntry" : {
            "nodetype" : "row",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.2.1.1",
            "status" : "current",
            "linkage" : [
                "entPhysicalIndex",
            ],
            "description" :
                """A cefcModuleStatusTable entry lists the operational and
administrative status information for ENTITY-MIB
entPhysicalTable entries for manageable components 
of type PhysicalClass module(9).

Entries are created by the agent at the system power-up or
module insertion.

Entries are deleted by the agent upon module removal.""",
        }, # row
        "cefcModuleAdminStatus" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.2.1.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-ENTITY-FRU-CONTROL-MIB", "name" : "ModuleAdminType"},
            },
            "access" : "readwrite",
            "description" :
                """This object provides administrative control of the
module.""",
        }, # column
        "cefcModuleOperStatus" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.2.1.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-ENTITY-FRU-CONTROL-MIB", "name" : "ModuleOperType"},
            },
            "access" : "readonly",
            "description" :
                """This object shows the module's operational state.""",
        }, # column
        "cefcModuleResetReason" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.2.1.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-ENTITY-FRU-CONTROL-MIB", "name" : "ModuleResetReasonType"},
            },
            "access" : "readonly",
            "description" :
                """This object identifies the reason for the last reset performed
on the module.""",
        }, # column
        "cefcModuleStatusLastChangeTime" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.2.1.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TimeStamp"},
            },
            "access" : "readonly",
            "description" :
                """The value of sysUpTime at the time the cefcModuleOperStatus
is changed.""",
        }, # column
        "cefcModuleLastClearConfigTime" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.2.1.1.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TimeStamp"},
            },
            "access" : "readonly",
            "description" :
                """The value of sysUpTime when the
configuration was most recently cleared.""",
        }, # column
        "cefcModuleResetReasonDescription" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.2.1.1.6",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "DisplayString"},
            },
            "access" : "readonly",
            "description" :
                """A description qualifying the module reset reason
specified in cefcModuleResetReason. 

Examples:
  command xyz              
  missing task
  switch over
  watchdog timeout    
  etc.

cefcModuleResetReasonDescription is for display purposes only.
NMS applications must not parse.""",
        }, # column
        "cefcModuleStateChangeReasonDescr" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.2.1.1.7",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "DisplayString"},
            },
            "access" : "readonly",
            "description" :
                """This object displays human-readable textual string which
describes the cause of the last state change of the
module. This object contains zero length string
if no meaningful reason could be provided.

Examples:
'Invalid software version'
'Software download failed'
'Software version mismatch'
'Module is in standby state'
etc.

This object is for display purposes only.
NMS applications must not parse this object
and take any decision based on its value.""",
        }, # column
        "cefcModuleUpTime" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.2.1.1.8",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-ENTITY-FRU-CONTROL-MIB", "name" : "FRUTimeSeconds"},
            },
            "access" : "readonly",
            "description" :
                """This object provides the up time for the module
since it was last re-initialized.

This object is not persistent; if a module reset,
restart, power off, the up time starts from zero.""",
        }, # column
        "cefcIntelliModuleTable" : {
            "nodetype" : "table",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.2.2",
            "status" : "current",
            "description" :
                """This table sparsely augments the
cefcModuleTable (i.e., every row in
this table corresponds to a row in
the cefcModuleTable but not necessarily
vice-versa).

A cefcIntelliModuleTable entry lists the
information specific to intelligent
modules which cannot be provided by the
cefcModuleTable.""",
        }, # table
        "cefcIntelliModuleEntry" : {
            "nodetype" : "row",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.2.2.1",
            "status" : "current",
            "linkage" : [
                "entPhysicalIndex",
            ],
            "description" :
                """A cefcIntelliModuleTable entry lists the
information specific to an intelligent
module which cannot be provided by
this module's corresponding instance in
the cefcModuleTable. Only an intelligent
module with Internet address configured has
its entry here.

An entry of this table is created if an 
intelligent module is detected by the 
managed system and its management Internet
address is configured on the intelligent 
module.

An entry of this table is deleted if the 
removal of Internet address configuration of 
this module or the module itself.""",
        }, # row
        "cefcIntelliModuleIPAddrType" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.2.2.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"INET-ADDRESS-MIB", "name" : "InetAddressType"},
            },
            "access" : "readonly",
            "description" :
                """The type of Internet address by which the
intelligent module is reachable.""",
        }, # column
        "cefcIntelliModuleIPAddr" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.2.2.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"INET-ADDRESS-MIB", "name" : "InetAddress"},
            },
            "access" : "readonly",
            "description" :
                """The Internet address configured
for the intelligent module.
The type of this address is 
determined by the value of the object 
cefcIntelliModuleIPAddrType.""",
        }, # column
        "cefcMIBNotificationEnables" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.3",
        }, # node
        "cefcMIBEnableStatusNotification" : {
            "nodetype" : "scalar",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.3.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TruthValue"},
            },
            "access" : "readwrite",
            "default" : "false",
            "description" :
                """This variable indicates whether the system
produces the following notifications:
cefcModuleStatusChange, cefcPowerStatusChange, 
cefcFRUInserted, cefcFRURemoved, 
cefcUnrecognizedFRU and cefcFanTrayStatusChange.

A false value will prevent these notifications
from being generated.""",
        }, # scalar
        "cefcEnablePSOutputChangeNotif" : {
            "nodetype" : "scalar",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.3.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TruthValue"},
            },
            "access" : "readwrite",
            "default" : "false",
            "description" :
                """This variable indicates whether the system
produces the cefcPowerSupplyOutputChange 
notifications when the output capacity of 
a power supply has changed. A false value 
will prevent this notification to generated.""",
        }, # scalar
        "cefcFRUFan" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.4",
        }, # node
        "cefcFanTrayStatusTable" : {
            "nodetype" : "table",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.4.1",
            "status" : "current",
            "description" :
                """This table contains the operational status information
for all ENTITY-MIB entPhysicalTable entries which have 
an entPhysicalClass of 'fan'; specifically, all  
entPhysicalTable entries which represent either: one 
physical fan, or a single physical 'fan tray' which is a
manufactured (inseparable in the field) combination of 
multiple fans.""",
        }, # table
        "cefcFanTrayStatusEntry" : {
            "nodetype" : "row",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.4.1.1",
            "status" : "current",
            "linkage" : [
                "entPhysicalIndex",
            ],
            "description" :
                """An cefcFanTrayStatusTable entry lists the operational
status information for the ENTITY-MIB entPhysicalTable 
entry which is identified by the value of entPhysicalIndex.
The value of entPhysicalClass for the identified entry will
be 'fan', and the represented physical entity will be 
either: one physical fan, or a single physical 'fan tray' 
which is a manufactured (inseparable in the field) 
combination of multiple fans.

Entries are created by the agent at system power-up or 
fan or fan tray insertion.  Entries are deleted 
by the agent at the fan or fan tray removal.""",
        }, # row
        "cefcFanTrayOperStatus" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.4.1.1.1",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "unknown" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "up" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "down" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                    "warning" : {
                        "nodetype" : "namednumber",
                        "number" : "4"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The operational state of the fan or fan tray.
unknown(1) - unknown.
up(2) - powered on.
down(3) - powered down.
warning(4) - partial failure, needs replacement 
             as soon as possible.""",
        }, # column
        "cefcPhysical" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.5",
        }, # node
        "cefcPhysicalTable" : {
            "nodetype" : "table",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.5.1",
            "status" : "current",
            "description" :
                """This table contains one row per physical entity.""",
        }, # table
        "cefcPhysicalEntry" : {
            "nodetype" : "row",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.5.1.1",
            "status" : "current",
            "linkage" : [
                "entPhysicalIndex",
            ],
            "description" :
                """Information about a particular physical entity.""",
        }, # row
        "cefcPhysicalStatus" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.5.1.1.1",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "other" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "supported" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "unsupported" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                    "incompatible" : {
                        "nodetype" : "namednumber",
                        "number" : "4"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The status of this physical entity.
other(1) - the status is not any of the listed below.
supported(2) - this entity is supported.
unsupported(3) - this entity is unsupported.
incompatible(4) - this entity is incompatible.
It would be unsupported(3), if the ID read from Serial
EPROM is not supported. It would be incompatible(4), if
in the present configuration this FRU is not supported.""",
        }, # column
        "cefcPowerCapacity" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.6",
        }, # node
        "cefcPowerSupplyInputTable" : {
            "nodetype" : "table",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.6.1",
            "status" : "current",
            "description" :
                """This table contains the power input information
for all the power supplies that have entPhysicalTable
entries with 'powerSupply' in the entPhysicalClass. 

The entries are created by the agent at the system
power-up or power supply insertion.

Entries are deleted by the agent upon power supply
removal.

The number of entries is determined by the number of
power supplies and number of power inputs on the power 
supply.""",
        }, # table
        "cefcPowerSupplyInputEntry" : {
            "nodetype" : "row",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.6.1.1",
            "status" : "current",
            "linkage" : [
                "entPhysicalIndex",
                "cefcPowerSupplyInputIndex",
            ],
            "description" :
                """An entry containing power input management information
applicable to a particular power supply and input.""",
        }, # row
        "cefcPowerSupplyInputIndex" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.6.1.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Unsigned32"},
            },
            "access" : "noaccess",
            "description" :
                """A unique value, greater than zero, for each input on
a power supply.""",
        }, # column
        "cefcPowerSupplyInputType" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.6.1.1.2",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "unknown" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "acLow" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "acHigh" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                    "dcLow" : {
                        "nodetype" : "namednumber",
                        "number" : "4"
                    },
                    "dcHigh" : {
                        "nodetype" : "namednumber",
                        "number" : "5"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The type of an input power detected on the power
supply.

unknown(1): No input power is detected.

acLow(2): Lower rating AC input power is detected.

acHigh(3): Higher rating AC input power is detected.

dcLow(4): Lower rating DC input power is detected.

dcHigh(5): Higher rating DC input power is detected.""",
        }, # column
        "cefcPowerSupplyOutputTable" : {
            "nodetype" : "table",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.6.2",
            "status" : "current",
            "description" :
                """This table contains a list of possible output
mode for the power supplies, whose ENTITY-MIB
entPhysicalTable entries have an entPhysicalClass
of 'powerSupply'. It also indicate which mode
is the operational mode within the system.""",
        }, # table
        "cefcPowerSupplyOutputEntry" : {
            "nodetype" : "row",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.6.2.1",
            "status" : "current",
            "linkage" : [
                "entPhysicalIndex",
                "cefcPSOutputModeIndex",
            ],
            "description" :
                """A cefcPowerSupplyOutputTable entry lists the
power output capacity and its operational status
for manageable components of type PhysicalClass
'powerSupply'.

Entries are created by the agent at the system
power-up or power supply insertion.

Entries are deleted by the agent upon power supply
removal.

The number of entries of a power supply is determined
by the power supply.""",
        }, # row
        "cefcPSOutputModeIndex" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.6.2.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Unsigned32"},
            },
            "access" : "noaccess",
            "description" :
                """A unique value, greater than zero, for each
possible output mode on a power supply.""",
        }, # column
        "cefcPSOutputModeCurrent" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.6.2.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-ENTITY-FRU-CONTROL-MIB", "name" : "FRUCurrentType"},
            },
            "access" : "readonly",
            "description" :
                """The output capacity of the power supply.""",
        }, # column
        "cefcPSOutputModeInOperation" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.6.2.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TruthValue"},
            },
            "access" : "readonly",
            "description" :
                """A value of 'true' indicates that this mode is the
operational mode of the power supply output
capacity.

A value of 'false' indicates that this mode is not
the operational mode of the power supply output
capacity.

For a given power supply's entPhysicalIndex, 
at most one instance of this object can have the
value of true(1).""",
        }, # column
        "cefcCooling" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.7",
        }, # node
        "cefcChassisCoolingTable" : {
            "nodetype" : "table",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.7.1",
            "status" : "current",
            "description" :
                """This table contains the cooling capacity
information of the chassis whose ENTITY-MIB
entPhysicalTable entries have an
entPhysicalClass of 'chassis'.""",
        }, # table
        "cefcChassisCoolingEntry" : {
            "nodetype" : "row",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.7.1.1",
            "status" : "current",
            "linkage" : [
                "entPhysicalIndex",
            ],
            "description" :
                """A cefcChassisCoolingEntry lists the maximum
cooling capacity that could be provided 
for one slot on the manageable components of type
PhysicalClass 'chassis'.

Entries are created by the agent if the corresponding
entry is created in ENTITY-MIB entPhysicalTable.

Entries are deleted by the agent if the corresponding
entry is deleted in ENTITY-MIB entPhysicalTable.""",
        }, # row
        "cefcChassisPerSlotCoolingCap" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.7.1.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Unsigned32"},
            },
            "access" : "readonly",
            "units" : "cfm",
            "description" :
                """The maximum cooling capacity in the unit of CFM
that could be provided for any slot in this 
chassis.""",
        }, # column
        "cefcFanCoolingTable" : {
            "nodetype" : "table",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.7.2",
            "status" : "current",
            "description" :
                """This table contains the cooling capacity
information of the fans whose ENTITY-MIB
entPhysicalTable entries have an
entPhysicalClass of 'fan'.""",
        }, # table
        "cefcFanCoolingEntry" : {
            "nodetype" : "row",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.7.2.1",
            "status" : "current",
            "linkage" : [
                "entPhysicalIndex",
            ],
            "description" :
                """A cefcFanCoolingEntry lists the cooling
capacity that is provided by the 
manageable components of type PhysicalClass 
'fan'.

Entries are created by the agent if the corresponding
entry is created in ENTITY-MIB entPhysicalTable.

Entries are deleted by the agent if the corresponding
entry is deleted in ENTITY-MIB entPhysicalTable.""",
        }, # row
        "cefcFanCoolingCapacity" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.7.2.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Unsigned32"},
            },
            "access" : "readonly",
            "units" : "cfm",
            "description" :
                """The cooling capacity in the unit of CFM
that is provided by this fan.""",
        }, # column
        "cefcModuleCoolingTable" : {
            "nodetype" : "table",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.7.3",
            "status" : "current",
            "description" :
                """This table contains the cooling requirement for
all the manageable components of type entPhysicalClass
'module'.""",
        }, # table
        "cefcModuleCoolingEntry" : {
            "nodetype" : "row",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.7.3.1",
            "status" : "current",
            "linkage" : [
                "entPhysicalIndex",
            ],
            "description" :
                """A cefcModuleCoolingEntry lists the cooling
requirement for a manageable components of type
entPhysicalClass 'module'.

Entries are created by the agent at the system
power-up or module insertion.

Entries are deleted by the agent upon module
removal.""",
        }, # row
        "cefcModuleCooling" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.7.3.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Unsigned32"},
            },
            "access" : "readonly",
            "units" : "cfm",
            "description" :
                """The cooling requirement in the unit of CFM
of the module and its daughter cards.""",
        }, # column
        "cefcFanCoolingCapTable" : {
            "nodetype" : "table",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.7.4",
            "status" : "current",
            "description" :
                """This table contains a list of the possible cooling
capacity modes and properties of the fans, whose 
ENTITY-MIB entPhysicalTable entries have an 
entPhysicalClass of 'fan'.""",
        }, # table
        "cefcFanCoolingCapEntry" : {
            "nodetype" : "row",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.7.4.1",
            "status" : "current",
            "linkage" : [
                "entPhysicalIndex",
                "cefcFanCoolingCapIndex",
            ],
            "description" :
                """A cefcFanCoolingCapacityEntry lists the cooling
capacity mode of a manageable components of type
entPhysicalClass 'fan'. It also lists the corresponding
cooling capacity provided and the power consumed
by the fan on this mode.


Entries are created by the agent if the corresponding
entry is created in ENTITY-MIB entPhysicalTable.

Entries are deleted by the agent if the corresponding
entry is deleted in ENTITY-MIB entPhysicalTable.""",
        }, # row
        "cefcFanCoolingCapIndex" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.7.4.1.1",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Unsigned32",
                    "ranges" : [
                    {
                        "min" : "1",
                        "max" : "4095"
                    },
                    ],
                    "range" : {
                        "min" : "1",
                        "max" : "4095"
                    },
                },
            },
            "access" : "noaccess",
            "description" :
                """An arbitrary value that uniquely identifies a
cooling capacity mode for a fan.""",
        }, # column
        "cefcFanCoolingCapModeDescr" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.7.4.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMP-FRAMEWORK-MIB", "name" : "SnmpAdminString"},
            },
            "access" : "readonly",
            "description" :
                """A textual description of the cooling capacity
mode of the fan.""",
        }, # column
        "cefcFanCoolingCapCapacity" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.7.4.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Unsigned32"},
            },
            "access" : "readonly",
            "units" : "cfm",
            "description" :
                """The cooling capacity in the unit of CFM
that could be provided when the fan is 
operating in this mode.""",
        }, # column
        "cefcFanCoolingCapCurrent" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.7.4.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-ENTITY-FRU-CONTROL-MIB", "name" : "FRUCurrentType"},
            },
            "access" : "readonly",
            "description" :
                """The power consumption of the fan when operating in
in this mode.""",
        }, # column
        "cefcConnector" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.8",
        }, # node
        "cefcConnectorRatingTable" : {
            "nodetype" : "table",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.8.1",
            "status" : "current",
            "description" :
                """This table contains the connector power
ratings of FRUs. 

Only components with power connector rating 
management are listed in this table.""",
        }, # table
        "cefcConnectorRatingEntry" : {
            "nodetype" : "row",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.8.1.1",
            "status" : "current",
            "linkage" : [
                "entPhysicalIndex",
            ],
            "description" :
                """A cefcConnectorRatingEntry lists the
power connector rating information of a 
component in the system.

An entry or entries are created by the agent
when an physical entity with connector rating 
management is added to the ENTITY-MIB 
entPhysicalTable. An entry is deleted 
by the agent at the entity removal.""",
        }, # row
        "cefcConnectorRating" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.8.1.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-ENTITY-FRU-CONTROL-MIB", "name" : "FRUCurrentType"},
            },
            "access" : "readonly",
            "description" :
                """The maximum power that the component's
connector can withdraw.""",
        }, # column
        "cefcModulePowerConsumptionTable" : {
            "nodetype" : "table",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.8.2",
            "status" : "current",
            "description" :
                """This table contains the total power consumption
information for modules whose ENTITY-MIB 
entPhysicalTable entries have an entPhysicalClass 
of 'module'.""",
        }, # table
        "cefcModulePowerConsumptionEntry" : {
            "nodetype" : "row",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.8.2.1",
            "status" : "current",
            "linkage" : [
                "entPhysicalIndex",
            ],
            "description" :
                """A cefcModulePowerConsumptionEntry lists the total
power consumption of a manageable components of type
entPhysicalClass 'module'.

Entries are created by the agent at the system
power-up or module insertion.

Entries are deleted by the agent upon module
removal.""",
        }, # row
        "cefcModulePowerConsumption" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.1.8.2.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-ENTITY-FRU-CONTROL-MIB", "name" : "FRUCurrentType"},
            },
            "access" : "readonly",
            "description" :
                """The combined power consumption to operate the module
and its submodule(s) and inline-power device(s).""",
        }, # column
        "cefcFRUMIBNotificationPrefix" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.2",
        }, # node
        "cefcMIBNotifications" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.2.0",
        }, # node
        "cefcMIBConformance" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.3",
        }, # node
        "cefcMIBCompliances" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.3.1",
        }, # node
        "cefcMIBGroups" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.3.2",
        }, # node
    }, # nodes

    "notifications" : {
        "cefcModuleStatusChange" : {
            "nodetype" : "notification",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.2.0.1",
            "status" : "current",
            "objects" : {
                "cefcModuleOperStatus" : {
                    "nodetype" : "object",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
                "cefcModuleStatusLastChangeTime" : {
                    "nodetype" : "object",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
            },
            "description" :
                """This notification is generated when the value of
cefcModuleOperStatus changes. It can be utilized by 
an NMS to update the status of the module it is
managing.""",
        }, # notification
        "cefcPowerStatusChange" : {
            "nodetype" : "notification",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.2.0.2",
            "status" : "current",
            "objects" : {
                "cefcFRUPowerOperStatus" : {
                    "nodetype" : "object",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
                "cefcFRUPowerAdminStatus" : {
                    "nodetype" : "object",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
            },
            "description" :
                """The cefcFRUPowerStatusChange notification indicates that
the power status of a FRU has changed. The varbind for this
notification indicates the entPhysicalIndex of the FRU,
and the new operational-status of the FRU.""",
        }, # notification
        "cefcFRUInserted" : {
            "nodetype" : "notification",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.2.0.3",
            "status" : "current",
            "objects" : {
                "entPhysicalContainedIn" : {
                    "nodetype" : "object",
                    "module" : "ENTITY-MIB"
                },
            },
            "description" :
                """The cecfFRUInserted notification indicates that a FRU was
inserted. The varbind for this notification indicates the
entPhysicalIndex of the inserted FRU, and the entPhysicalIndex
of the FRU's container.""",
        }, # notification
        "cefcFRURemoved" : {
            "nodetype" : "notification",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.2.0.4",
            "status" : "current",
            "objects" : {
                "entPhysicalContainedIn" : {
                    "nodetype" : "object",
                    "module" : "ENTITY-MIB"
                },
            },
            "description" :
                """The cefcFRURemoved notification indicates that a FRU was
removed. The varbind for this notification indicates the
entPhysicalIndex of the removed FRU, and the entPhysicalIndex
of the FRU's container.""",
        }, # notification
        "cefcUnrecognizedFRU" : {
            "nodetype" : "notification",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.2.0.5",
            "status" : "current",
            "objects" : {
                "entPhysicalClass" : {
                    "nodetype" : "object",
                    "module" : "ENTITY-MIB"
                },
                "entPhysicalVendorType" : {
                    "nodetype" : "object",
                    "module" : "ENTITY-MIB"
                },
                "entPhysicalName" : {
                    "nodetype" : "object",
                    "module" : "ENTITY-MIB"
                },
                "entPhysicalModelName" : {
                    "nodetype" : "object",
                    "module" : "ENTITY-MIB"
                },
                "cefcPhysicalStatus" : {
                    "nodetype" : "object",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
            },
            "description" :
                """The cefcUnrecognizedFRU notification indicates that a FRU was
inserted whose product ID is not supported. The varbind for
this notification indicates the entPhysicalIndex of the 
inserted FRU, the entPhysicalClass this FRU belongs to, the
entPhysicalVendorType of this FRU, the entPhysicalName
of the FRU, the entPhysicalModelName of the inserted FRU, and
the cefcPhysicalStatus telling the reason code for sending this
notification.""",
        }, # notification
        "cefcFanTrayStatusChange" : {
            "nodetype" : "notification",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.2.0.6",
            "status" : "current",
            "objects" : {
                "cefcFanTrayOperStatus" : {
                    "nodetype" : "object",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
            },
            "description" :
                """This notification is generated when the value of
cefcFanTrayOperStatus changes.""",
        }, # notification
        "cefcPowerSupplyOutputChange" : {
            "nodetype" : "notification",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.2.0.7",
            "status" : "current",
            "objects" : {
                "entPhysicalName" : {
                    "nodetype" : "object",
                    "module" : "ENTITY-MIB"
                },
                "entPhysicalModelName" : {
                    "nodetype" : "object",
                    "module" : "ENTITY-MIB"
                },
                "cefcPSOutputModeCurrent" : {
                    "nodetype" : "object",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
            },
            "description" :
                """The notification indicates that the power
supply's output capacity has changed.

This notification is triggered whenever one instance 
of the power supply's cefcPSOutputModeInOperation 
has transitioned from 'false' to 'true'.""",
        }, # notification
    }, # notifications

    "groups" : {
        "cefcMIBPowerModeGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.3.2.1",
            "status" : "current",
            "members" : {
                "cefcPowerRedundancyMode" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
                "cefcPowerUnits" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
                "cefcTotalAvailableCurrent" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
                "cefcTotalDrawnCurrent" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
            }, # members
            "description" :
                """The collection of objects which are used
to configure and monitor power-control for
FRUs.""",
        }, # group
        "cefcMIBPowerFRUControlGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.3.2.2",
            "status" : "current",
            "members" : {
                "cefcFRUPowerAdminStatus" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
                "cefcFRUPowerOperStatus" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
                "cefcFRUCurrent" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
            }, # members
            "description" :
                """The collection of objects which are used
to configure and monitor power-control for
FRUs.""",
        }, # group
        "cefcMIBModuleGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.3.2.3",
            "status" : "current",
            "members" : {
                "cefcModuleAdminStatus" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
                "cefcModuleOperStatus" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
                "cefcModuleResetReason" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
                "cefcModuleStatusLastChangeTime" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
            }, # members
            "description" :
                """The collection of objects which are used to get the
operational state and redundancy state of the modules""",
        }, # group
        "cefcMIBInLinePowerControlGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.3.2.4",
            "status" : "deprecated",
            "members" : {
                "cefcMaxDefaultInLinePower" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
            }, # members
            "description" :
                """The collection of objects which are used to
configure and monitor inline power control for
FRUs.""",
        }, # group
        "cefcMIBNotificationEnablesGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.3.2.5",
            "status" : "current",
            "members" : {
                "cefcMIBEnableStatusNotification" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
            }, # members
            "description" :
                """The collection of objects which are used to
enable notification.""",
        }, # group
        "cefcMgmtNotificationsGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.3.2.6",
            "status" : "current",
            "members" : {
                "cefcModuleStatusChange" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
                "cefcPowerStatusChange" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
                "cefcFRUInserted" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
                "cefcFRURemoved" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
            }, # members
            "description" :
                """The notifications which a FRU Management entity is
required to implement.""",
        }, # group
        "cefcModuleGroupRev1" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.3.2.7",
            "status" : "current",
            "members" : {
                "cefcModuleLastClearConfigTime" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
                "cefcModuleResetReasonDescription" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
            }, # members
            "description" :
                """The collection of objects which are used to get the
operational state and redundancy state of the modules""",
        }, # group
        "cefcMIBPowerFRUValueGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.3.2.8",
            "status" : "current",
            "members" : {
                "cefcFRUTotalSystemCurrent" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
                "cefcFRUDrawnSystemCurrent" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
                "cefcFRUTotalInlineCurrent" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
                "cefcFRUDrawnInlineCurrent" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
            }, # members
            "description" :
                """The collection of objects which are used to retrieve
the total and used capacity of a power supply for both
system and inline power.""",
        }, # group
        "cefcMIBFanTrayStatusGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.3.2.9",
            "status" : "current",
            "members" : {
                "cefcFanTrayOperStatus" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
            }, # members
            "description" :
                """The collection of objects which show information of the
status of Fan Tray FRUs.""",
        }, # group
        "cefcMIBPhysicalGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.3.2.10",
            "status" : "current",
            "members" : {
                "cefcPhysicalStatus" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
            }, # members
            "description" :
                """The collection of objects which show information of the
Physical Entity.""",
        }, # group
        "cefcMgmtNotificationsGroup2" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.3.2.11",
            "status" : "current",
            "members" : {
                "cefcUnrecognizedFRU" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
                "cefcFanTrayStatusChange" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
            }, # members
            "description" :
                """The additional notifications for FRU status.""",
        }, # group
        "cefcMIBPowerOperModeGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.3.2.12",
            "status" : "current",
            "members" : {
                "cefcPowerRedundancyOperMode" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
            }, # members
            "description" :
                """The collection of objects which are used
to monitor the device's power supply operational
redundancy mode.""",
        }, # group
        "cefcMIBInLinePowerControlGroupRev1" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.3.2.13",
            "status" : "current",
            "members" : {
                "cefcMaxDefaultHighInLinePower" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
            }, # members
            "description" :
                """The collection of objects which are used to
configure and monitor inline power control for
FRUs.""",
        }, # group
        "cefcModuleExtGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.3.2.14",
            "status" : "current",
            "members" : {
                "cefcModuleStateChangeReasonDescr" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
                "cefcModuleUpTime" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
            }, # members
            "description" :
                """The collection of objects which are used to get the
state change reason and up time of the modules.""",
        }, # group
        "cefcIntelliModuleGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.3.2.15",
            "status" : "current",
            "members" : {
                "cefcIntelliModuleIPAddrType" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
                "cefcIntelliModuleIPAddr" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
            }, # members
            "description" :
                """The collection of objects which are used to get the
information specific to intelligent modules.""",
        }, # group
        "cefcPowerCapacityGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.3.2.16",
            "status" : "current",
            "members" : {
                "cefcPowerSupplyInputType" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
                "cefcPSOutputModeCurrent" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
                "cefcPSOutputModeInOperation" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
            }, # members
            "description" :
                """The collection of objects which are used to get the
power capacity information""",
        }, # group
        "cefcCoolingGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.3.2.17",
            "status" : "current",
            "members" : {
                "cefcChassisPerSlotCoolingCap" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
                "cefcFanCoolingCapacity" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
                "cefcModuleCooling" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
            }, # members
            "description" :
                """The collection of objects which are used to get the
cooling capacity information.""",
        }, # group
        "cefcConnectorRatingGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.3.2.18",
            "status" : "current",
            "members" : {
                "cefcConnectorRating" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
                "cefcModulePowerConsumption" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
            }, # members
            "description" :
                """The collection of objects which are used to get the
power connector rating and module power total 
consumption information.""",
        }, # group
        "cefcMIBNotificationEnablesGroup2" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.3.2.19",
            "status" : "current",
            "members" : {
                "cefcEnablePSOutputChangeNotif" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
            }, # members
            "description" :
                """The collection of objects which are used to
enable additional group of notifications.""",
        }, # group
        "cefcMgmtNotificationsGroup3" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.3.2.20",
            "status" : "current",
            "members" : {
                "cefcPowerSupplyOutputChange" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
            }, # members
            "description" :
                """The additional notification for notify the
power capacity mode change.""",
        }, # group
        "cefcMIBInLinePowerCurrentGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.3.2.21",
            "status" : "current",
            "members" : {
                "cefcTotalDrawnInlineCurrent" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
            }, # members
            "description" :
                """The collection of objects which are used to
monitor inline power usage for FRUs.""",
        }, # group
        "cefcMIBPowerRedundancyInfoGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.3.2.22",
            "status" : "current",
            "members" : {
                "cefcPowerNonRedundantReason" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
            }, # members
            "description" :
                """The collection of objects provide additional
information about the device's power supply 
redundancy.""",
        }, # group
        "cefcFanCoolingCapGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.3.2.23",
            "status" : "current",
            "members" : {
                "cefcFanCoolingCapModeDescr" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
                "cefcFanCoolingCapCapacity" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
                "cefcFanCoolingCapCurrent" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
            }, # members
            "description" :
                """The collection of objects provide the cooling
capacity modes and properties of the fans.""",
        }, # group
    }, # groups

    "compliances" : {
        "cefcMIBPowerCompliance" : {
            "nodetype" : "compliance",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.3.1.1",
            "status" : "obsolete",
            "description" :
                """An Entity-MIB implementation can implement this group to
provide FRU power status and control.""",
            "requires" : {
                "cefcMIBPowerModeGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
                "cefcMIBPowerFRUControlGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """The cefcMIBPowerFRUControlGroup must be implemented
for FRUs that have power control""",
                },
            }, # requires
        }, # compliance
        "cefcMIBPowerCompliance2" : {
            "nodetype" : "compliance",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.3.1.2",
            "status" : "deprecated",
            "description" :
                """An Entity-MIB implementation can implement this group to
provide FRU power status and control.""",
            "requires" : {
                "cefcMIBPowerModeGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
                "cefcMgmtNotificationsGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
                "cefcMIBPowerFRUControlGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """The cefcMIBPowerFRUControlGroup must be implemented
for FRUs that have power control""",
                },
                "cefcMIBModuleGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """The cefcMIBModuleGroup must be implemented for
FRUs that are of module type.""",
                },
                "cefcMIBInLinePowerControlGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """The cefcMIBInLinePowerControlGroup must be implemented
for FRUs that have inline power control""",
                },
                "cefcMIBNotificationEnablesGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """The cefcMIBNotificationEnablesGroup must be
implemented for FRUs that have notification""",
                },
            }, # requires
        }, # compliance
        "cefcMIBPowerCompliance3" : {
            "nodetype" : "compliance",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.3.1.3",
            "status" : "deprecated",
            "description" :
                """An Entity-MIB implementation can implement this group to
provide FRU power status and control.""",
            "requires" : {
                "cefcMIBPowerModeGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
                "cefcMgmtNotificationsGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
                "cefcMIBPowerFRUControlGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """The cefcMIBPowerFRUControlGroup must be implemented
for FRUs that have power control""",
                },
                "cefcMIBModuleGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """The cefcMIBModuleGroup must be implemented for
FRUs that are of module type.""",
                },
                "cefcMIBInLinePowerControlGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """The cefcMIBInLinePowerControlGroup must be
implemented for FRUs that have inline power control""",
                },
                "cefcMIBNotificationEnablesGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """The cefcMIBNotificationEnablesGroup must be
implemented for FRUs that have notification""",
                },
                "cefcModuleGroupRev1" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """The cefcModuleGroupRev1 is not mandatory for
agents with FRUs that are of module type.""",
                },
            }, # requires
        }, # compliance
        "cefcMIBPowerCompliance4" : {
            "nodetype" : "compliance",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.3.1.4",
            "status" : "deprecated",
            "description" :
                """An Entity-MIB implementation can implement this group to
provide FRU power status and control.""",
            "requires" : {
                "cefcMIBPowerModeGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
                "cefcMgmtNotificationsGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
                "cefcMIBPowerFRUControlGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """The cefcMIBPowerFRUControlGroup must be implemented
for FRUs that have power control""",
                },
                "cefcMIBModuleGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """The cefcMIBModuleGroup must be implemented for
FRUs that are of module type.""",
                },
                "cefcMIBInLinePowerControlGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """The cefcMIBInLinePowerControlGroup must be
implemented for FRUs that have inline power control""",
                },
                "cefcMIBNotificationEnablesGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """The cefcMIBNotificationEnablesGroup must be
implemented for FRUs that have notification""",
                },
                "cefcModuleGroupRev1" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """The cefcModuleGroupRev1 is not mandatory for
agents with FRUs that are of module type.""",
                },
                "cefcMIBPowerFRUValueGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """The cefcMIBPowerFRUValueGroup must be implemented for
power supply FRUs that have variable output""",
                },
            }, # requires
            "refinements" : {
                "cefcFRUTotalSystemCurrent" : {
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "access" : "readonly",
                    "description" :
                        """Write access is not required.""",
                },
                "cefcFRUDrawnSystemCurrent" : {
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "access" : "readonly",
                    "description" :
                        """Write access is not required.""",
                },
                "cefcFRUTotalInlineCurrent" : {
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "access" : "readonly",
                    "description" :
                        """Write access is not required.""",
                },
                "cefcFRUDrawnInlineCurrent" : {
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "access" : "readonly",
                    "description" :
                        """Write access is not required.""",
                },
            }, # refinements

        }, # compliance
        "cefcMIBPowerCompliance5" : {
            "nodetype" : "compliance",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.3.1.5",
            "status" : "deprecated",
            "description" :
                """An Entity-MIB implementation can implement this group to
provide FRU power status and control.""",
            "requires" : {
                "cefcMIBPowerModeGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
                "cefcMgmtNotificationsGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
                "cefcMgmtNotificationsGroup2" : {
                    "nodetype" : "mandatory",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
                "cefcMIBPowerFRUControlGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """The cefcMIBPowerFRUControlGroup must be implemented
for FRUs that have power control""",
                },
                "cefcMIBModuleGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """The cefcMIBModuleGroup must be implemented for
FRUs that are of module type.""",
                },
                "cefcMIBInLinePowerControlGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """The cefcMIBInLinePowerControlGroup must be
implemented for FRUs that have inline power control""",
                },
                "cefcMIBNotificationEnablesGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """The cefcMIBNotificationEnablesGroup must be
implemented for FRUs that have notification""",
                },
                "cefcModuleGroupRev1" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """The cefcModuleGroupRev1 is not mandatory for
agents with FRUs that are of module type.""",
                },
                "cefcMIBPowerFRUValueGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """The cefcMIBPowerFRUValueGroup must be implemented for
power supply FRUs that have variable output""",
                },
                "cefcMIBFanTrayStatusGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """The cefcMIBFanTrayStatusGroup must be implemented
in all systems which can detect the status of Fan
Tray FRUs.""",
                },
                "cefcMIBPhysicalGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """The collection of objects which show information of
the Physical Entity.""",
                },
            }, # requires
            "refinements" : {
                "cefcFRUTotalSystemCurrent" : {
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "access" : "readonly",
                    "description" :
                        """Write access is not required.""",
                },
                "cefcFRUDrawnSystemCurrent" : {
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "access" : "readonly",
                    "description" :
                        """Write access is not required.""",
                },
                "cefcFRUTotalInlineCurrent" : {
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "access" : "readonly",
                    "description" :
                        """Write access is not required.""",
                },
                "cefcFRUDrawnInlineCurrent" : {
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "access" : "readonly",
                    "description" :
                        """Write access is not required.""",
                },
            }, # refinements

        }, # compliance
        "cefcMIBPowerCompliance6" : {
            "nodetype" : "compliance",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.3.1.6",
            "status" : "current",
            "description" :
                """An Entity-MIB implementation can implement this group to
provide FRU power status and control.""",
            "requires" : {
                "cefcMIBPowerModeGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
                "cefcMgmtNotificationsGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
                "cefcMIBPowerFRUControlGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """The cefcMIBPowerFRUControlGroup must be implemented
for FRUs that have power control""",
                },
                "cefcMIBModuleGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """The cefcMIBModuleGroup must be implemented for
FRUs that are of module type.""",
                },
                "cefcMIBInLinePowerControlGroupRev1" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """The cefcMIBInLinePowerControlGroup must be
implemented for FRUs that have inline power control""",
                },
                "cefcMIBNotificationEnablesGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """The cefcMIBNotificationEnablesGroup must be
implemented for FRUs that have notification""",
                },
                "cefcModuleGroupRev1" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """The cefcModuleGroupRev1 is not mandatory for
agents with FRUs that are of module type.""",
                },
                "cefcMIBPowerFRUValueGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """The cefcMIBPowerFRUValueGroup must be implemented for
power supply FRUs that have variable output""",
                },
                "cefcMIBFanTrayStatusGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """The cefcMIBFanTrayStatusGroup must be implemented
in all systems which can detect the status of Fan
Tray FRUs.""",
                },
                "cefcMIBPhysicalGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """The collection of objects which show information of
the Physical Entity.""",
                },
                "cefcMgmtNotificationsGroup2" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """The implementation of this group of notifications
is optional.""",
                },
                "cefcMIBPowerOperModeGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """The cefcMIBPowerOperModeGroup must be
implemented for the device which supports
power supply operational modes.""",
                },
                "cefcModuleExtGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """Implementation of cefcModuleExtGroup is
optional.""",
                },
                "cefcIntelliModuleGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """Implementation of cefcModuleAddrGroup is
optional.""",
                },
            }, # requires
            "refinements" : {
                "cefcFRUTotalSystemCurrent" : {
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "access" : "readonly",
                    "description" :
                        """Write access is not required.""",
                },
                "cefcFRUDrawnSystemCurrent" : {
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "access" : "readonly",
                    "description" :
                        """Write access is not required.""",
                },
                "cefcFRUTotalInlineCurrent" : {
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "access" : "readonly",
                    "description" :
                        """Write access is not required.""",
                },
                "cefcFRUDrawnInlineCurrent" : {
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "access" : "readonly",
                    "description" :
                        """Write access is not required.""",
                },
                "cefcIntelliModuleIPAddrType" : {
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "syntax" : {
                        "type" :                         {
                            "basetype" : "Enumeration",
                            "parent module" : {
                                "name" : "INET-ADDRESS-MIB",
                                "type" : "InetAddressType",
                            },
                            "ipv4" : {
                                "nodetype" : "namednumber",
                                "number" : "1"
                            },
                        },
                    }, # syntax
                    "description" :
                        """An implementation is only required to
support IPv4 addresses.""",
                },
            }, # refinements

        }, # compliance
        "cefcMIBPowerCompliance7" : {
            "nodetype" : "compliance",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.3.1.7",
            "status" : "deprecated",
            "description" :
                """An Entity-MIB implementation can implement this group to
provide FRU power status and control.""",
            "requires" : {
                "cefcMIBPowerModeGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
                "cefcMgmtNotificationsGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
                "cefcMIBPowerFRUControlGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """The cefcMIBPowerFRUControlGroup must be implemented
for FRUs that have power control""",
                },
                "cefcMIBModuleGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """The cefcMIBModuleGroup must be implemented for
FRUs that are of module type.""",
                },
                "cefcMIBInLinePowerControlGroupRev1" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """The cefcMIBInLinePowerControlGroup must be
implemented for FRUs that have inline power control""",
                },
                "cefcMIBNotificationEnablesGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """The cefcMIBNotificationEnablesGroup must be
implemented for FRUs that have notification""",
                },
                "cefcModuleGroupRev1" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """The cefcModuleGroupRev1 is not mandatory for
agents with FRUs that are of module type.""",
                },
                "cefcMIBPowerFRUValueGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """The cefcMIBPowerFRUValueGroup must be implemented for
power supply FRUs that have variable output""",
                },
                "cefcMIBFanTrayStatusGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """The cefcMIBFanTrayStatusGroup must be implemented
in all systems which can detect the status of Fan
Tray FRUs.""",
                },
                "cefcMIBPhysicalGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """The collection of objects which show information of
the Physical Entity.""",
                },
                "cefcMgmtNotificationsGroup2" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """The implementation of this group of notifications
is optional.""",
                },
                "cefcMIBPowerOperModeGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """The cefcMIBPowerOperModeGroup must be
implemented for the device which supports
power supply operational modes.""",
                },
                "cefcModuleExtGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """Implementation of cefcModuleExtGroup is
optional.""",
                },
                "cefcIntelliModuleGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """Implementation of cefcModuleAddrGroup is
optional.""",
                },
                "cefcPowerCapacityGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """This group is mandatory for devices which
have the capability to populate power capacity 
information.""",
                },
                "cefcCoolingGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """This group is mandatory for devices which
have the capability to populate cooling 
capacity information.""",
                },
                "cefcConnectorRatingGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """This group is mandatory for devices which
have the capability to populate power 
connector rating and module power total 
consumption information.""",
                },
                "cefcMIBNotificationEnablesGroup2" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """This group is mandatory for devices which
support the SNMP notification to notify
the power supply output capacity changes.""",
                },
                "cefcMgmtNotificationsGroup3" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """This group is mandatory for devices which
support the SNMP notification to notify
the power supply output capacity changes.""",
                },
            }, # requires
            "refinements" : {
                "cefcFRUTotalSystemCurrent" : {
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "access" : "readonly",
                    "description" :
                        """Write access is not required.""",
                },
                "cefcFRUDrawnSystemCurrent" : {
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "access" : "readonly",
                    "description" :
                        """Write access is not required.""",
                },
                "cefcFRUTotalInlineCurrent" : {
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "access" : "readonly",
                    "description" :
                        """Write access is not required.""",
                },
                "cefcFRUDrawnInlineCurrent" : {
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "access" : "readonly",
                    "description" :
                        """Write access is not required.""",
                },
                "cefcIntelliModuleIPAddrType" : {
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "syntax" : {
                        "type" :                         {
                            "basetype" : "Enumeration",
                            "parent module" : {
                                "name" : "INET-ADDRESS-MIB",
                                "type" : "InetAddressType",
                            },
                            "ipv4" : {
                                "nodetype" : "namednumber",
                                "number" : "1"
                            },
                        },
                    }, # syntax
                    "description" :
                        """An implementation is only required to
support IPv4 addresses.""",
                },
            }, # refinements

        }, # compliance
        "cefcMIBPowerCompliance8" : {
            "nodetype" : "compliance",
            "moduleName" : "CISCO-ENTITY-FRU-CONTROL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.117.3.1.8",
            "status" : "current",
            "description" :
                """An Entity-MIB implementation can implement this group to
provide FRU power status and control.""",
            "requires" : {
                "cefcMIBPowerModeGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
                "cefcMgmtNotificationsGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB"
                },
                "cefcMIBPowerFRUControlGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """The cefcMIBPowerFRUControlGroup must be implemented
for FRUs that have power control""",
                },
                "cefcMIBModuleGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """The cefcMIBModuleGroup must be implemented for
FRUs that are of module type.""",
                },
                "cefcMIBInLinePowerControlGroupRev1" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """The cefcMIBInLinePowerControlGroup must be
implemented for FRUs that have inline power control""",
                },
                "cefcMIBNotificationEnablesGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """The cefcMIBNotificationEnablesGroup must be
implemented for FRUs that have notification""",
                },
                "cefcModuleGroupRev1" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """The cefcModuleGroupRev1 is not mandatory for
agents with FRUs that are of module type.""",
                },
                "cefcMIBPowerFRUValueGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """The cefcMIBPowerFRUValueGroup must be implemented for
power supply FRUs that have variable output""",
                },
                "cefcMIBFanTrayStatusGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """The cefcMIBFanTrayStatusGroup must be implemented
in all systems which can detect the status of Fan
Tray FRUs.""",
                },
                "cefcMIBPhysicalGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """The collection of objects which show information of
the Physical Entity.""",
                },
                "cefcMgmtNotificationsGroup2" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """The implementation of this group of notifications
is optional.""",
                },
                "cefcMIBPowerOperModeGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """The cefcMIBPowerOperModeGroup must be
implemented for the device which supports
power supply operational modes.""",
                },
                "cefcModuleExtGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """Implementation of cefcModuleExtGroup is
optional.""",
                },
                "cefcIntelliModuleGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """Implementation of cefcModuleAddrGroup is
optional.""",
                },
                "cefcPowerCapacityGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """This group is mandatory for devices which
have the capability to populate power capacity
information.""",
                },
                "cefcCoolingGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """This group is mandatory for devices which
have the capability to populate cooling
capacity information.""",
                },
                "cefcConnectorRatingGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """This group is mandatory for devices which
have the capability to populate power
connector rating and module power total
consumption information.""",
                },
                "cefcMIBNotificationEnablesGroup2" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """This group is mandatory for devices which
support the SNMP notification to notify
the power supply output capacity changes.""",
                },
                "cefcMgmtNotificationsGroup3" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """This group is mandatory for devices which
support the SNMP notification to notify
the power supply output capacity changes.""",
                },
                "cefcMIBInLinePowerCurrentGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """This group is mandatory for devices which
have the capability to populate inline power
usage infrmation.""",
                },
                "cefcMIBPowerRedundancyInfoGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """This group is mandatory for devices which
have the capability to populate the reason
why the redundancy of the power supplies cannot
be achived.""",
                },
                "cefcFanCoolingCapGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "description" :
                        """This group is mandatory for devices which
can provide the cooling capacity modes 
and properties of the fans in the system.""",
                },
            }, # requires
            "refinements" : {
                "cefcFRUTotalSystemCurrent" : {
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "access" : "readonly",
                    "description" :
                        """Write access is not required.""",
                },
                "cefcFRUDrawnSystemCurrent" : {
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "access" : "readonly",
                    "description" :
                        """Write access is not required.""",
                },
                "cefcFRUTotalInlineCurrent" : {
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "access" : "readonly",
                    "description" :
                        """Write access is not required.""",
                },
                "cefcFRUDrawnInlineCurrent" : {
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "access" : "readonly",
                    "description" :
                        """Write access is not required.""",
                },
                "cefcIntelliModuleIPAddrType" : {
                    "module" : "CISCO-ENTITY-FRU-CONTROL-MIB",
                    "syntax" : {
                        "type" :                         {
                            "basetype" : "Enumeration",
                            "parent module" : {
                                "name" : "INET-ADDRESS-MIB",
                                "type" : "InetAddressType",
                            },
                            "ipv4" : {
                                "nodetype" : "namednumber",
                                "number" : "1"
                            },
                        },
                    }, # syntax
                    "description" :
                        """An implementation is only required to
support IPv4 addresses.""",
                },
            }, # refinements

        }, # compliance
    }, # compliances

}
